<?php
session_start();
if (!isset($_SESSION['codigo_empresa'])) {
    header("Content-Type: application/json");
    echo json_encode(["error" => "Empresa no autenticada"]);
    exit();
}

$servername = "localhost";
$username = "wp_usertomp";
$password = "p3%Pz14YRM@";
$dbname = "tompedidos";

$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$empresa = $_SESSION['codigo_empresa'];
$vendedor_id = isset($_GET['vendedor_id']) ? $_GET['vendedor_id'] : "";

// Verificar si se proporcionó el vendedor_id
if (empty($vendedor_id)) {
    header("Content-Type: application/json");
    echo json_encode(["error" => "ID del vendedor no proporcionado"]);
    exit();
}

// Consulta para obtener la última ubicación del vendedor
$sql = "SELECT * FROM servicogps 
        WHERE codigovendedor = ? AND empresa = ? 
        ORDER BY fecha DESC, hora DESC LIMIT 1";
$stmt = $conn->prepare($sql);
$stmt->bind_param("ss", $vendedor_id, $empresa);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $data = $result->fetch_assoc();
    header("Content-Type: application/json");
    echo json_encode($data);
} else {
    header("Content-Type: application/json");
    echo json_encode(["error" => "No se encontró ubicación para el vendedor"]);
}

$stmt->close();
$conn->close();
?>
