<?php
session_start();
$login_error = "";

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $codigo_empresa = $_POST['codigo_empresa'];
    $clave = $_POST['clave'];

    // Conexión a la base de datos
    $servername = "localhost";
	$username = "wp_usertomp";
	$password = "p3%Pz14YRM@";
	$dbname = "tompedidos";

    $conn = new mysqli($servername, $username, $password, $dbname);

    // Verificar la conexión
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Verificar las credenciales
    $sql = "SELECT * FROM usuarios WHERE codigo_empresa = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $codigo_empresa);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $row = $result->fetch_assoc();
        
        //if (password_verify($clave, $row['clave'])) {
		if ($clave===$row['clave']) {
            // Iniciar sesión y redirigir
            $_SESSION['codigo_empresa'] = $codigo_empresa;
            header("Location: menu.php");
            exit();
        } else {
            $login_error = "Clave incorrecta.";
        }
    } else {
        $login_error = "Código de empresa no encontrado.";
    }

    $stmt->close();
    $conn->close();
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inicio de Sesión</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>

<div class="container mt-5">
    <div class="row justify-content-center">
        <div class="col-md-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title text-center">Inicio de Sesión</h4>
                    <?php if ($login_error): ?>
                        <div class="alert alert-danger" role="alert">
                            <?php echo $login_error; ?>
                        </div>
                    <?php endif; ?>
                    <form method="POST" action="">
                        <div class="mb-3">
                            <label for="codigo_empresa" class="form-label">Código de Empresa</label>
                            <input type="text" class="form-control" id="codigo_empresa" name="codigo_empresa" required>
                        </div>
                        <div class="mb-3">
                            <label for="clave" class="form-label">Clave</label>
                            <input type="password" class="form-control" id="clave" name="clave" required>
                        </div>
                        <button type="submit" class="btn btn-primary w-100">Iniciar Sesión</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>